function [cntArr525] = makeCntArr525(corValArrB)
    % val1 val2 ang1(hjul) ang2(stag), kun kanal 1 brukes til pumpe, kanal 2 er folk
    %
    % axScale = 0.45; 
    % stagLng = 2.6318;
    % hjulstagLng =  0.5898;
    %
    % hjulCenterHoyde = 9.6318;
    % belgBunnHoyde = 6;
    % belgCenterHoyde = 1 + belgBunnHoyde;
    % belgTopHoyde = belgCenterHoyde + axScale * ax;
    % hjulCenter2belgTop = hjulCenterHoyde - belgTopHoyde;
    %
    % cos(A) = b*b + c*c − a*a / 2bc
    % cos(A) = hjulCenter2belgTop^2 + hjulstagLng^2 − stagLng^2 / (2 * hjulCenter2belgTop * hjulstagLng);
    %
    % axScale : gitt av: hjulCenter2belgTopMax = hjulstagLng + stagLng = 0.5898 + 2.6318 = 3.2216
    %
    % hjulCenter2belgTopMax = 3.2216
    % hjulCenter2belgTopMax = hjulCenterHoyde - belgTopHoydeMin = 9.6318 - ((1-axScale) + belgBunnHoyde)
    % hjulCenter2belgTopMax = 9.6318 - 1 + axScale - 6 = 2.6318 + axScale
    %
    % axScale = 0.5898
    
    % -1 < ax < 1 ok
    axScale = 0.5897;
    stagLng = 2.6318; % ok
    hjulstagLng =  0.5898; % ok
    hjulCenterHoyde = 9.6318; % ok
    belgBunnHoyde = 6; % ok
    
    fs = 525;
    
    lng = floor(fs * corValArrB(end, 1)/1000);
    
    cntArr525 = zeros(lng, 4);
    
    % Kanal 1
    paraArrB = corValArrB(:, 3:6, 1);
    clickArrB = corValArrB(:, 1, 1);
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
    
    for i = 1 : length(cntArr525)
        if paraIndexTeller <= length(paraArrB)
            if i > fs*clickArrB(paraIndexTeller)/1000 % legger inn ny keyframe
                A = paraArrB(paraIndexTeller, 1);
                B = paraArrB(paraIndexTeller, 2);
                D = paraArrB(paraIndexTeller, 3);
                T = paraArrB(paraIndexTeller, 4);
                
                if T == 0 % avslutning
                    T = 1;
                    A = 0;
                    B = 0;
                end
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr525(i, 1) = A*cos(2*pi*(i - D)/T) + B;
        
        belgTopHoyde = 1 + axScale * cntArr525(i, 1) + belgBunnHoyde; % belgCenterHoyde + axScale * cntArr525(i, 1);
        hjulCenter2belgTop = hjulCenterHoyde - belgTopHoyde;
        ang = acos( (hjulCenter2belgTop^2 + hjulstagLng^2 - stagLng^2) / (2 * hjulCenter2belgTop * hjulstagLng) );
        cntArr525(i, 3) = rad2deg(ang); 
        
        %cos(C) = a*a + b*b − c*c / 2ab
        ang = acos( (stagLng^2 + hjulCenter2belgTop^2 - hjulstagLng^2)/(2 * stagLng * hjulCenter2belgTop) );
        cntArr525(i, 4) = rad2deg(ang);
        
%         hjulCenter2belgTop
%         hjulstagLng
%         stagLng
%         ang
    end
    
    
    
    % Kanal 2
    paraArrB = corValArrB(:, 3:6, 2);
    clickArrB = corValArrB(:, 1, 2);
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
 
    for i = 1 : length(cntArr525)
        if paraIndexTeller <= length(paraArrB)
            if i > fs*clickArrB(paraIndexTeller)/1000 % legger inn ny keyframe
                A = paraArrB(paraIndexTeller, 1);
                B = paraArrB(paraIndexTeller, 2);
                D = paraArrB(paraIndexTeller, 3);
                T = paraArrB(paraIndexTeller, 4);
                
                if T == 0 % avslutning
                    T = 1;
                    A = 0;
                    B = 0;
                end
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr525(i, 2) = A*cos(2*pi*(i - D)/T) + B;
    end
    
end
